#
# spec file for package cosmic-term
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname com.system76.CosmicTerm
Name:           cosmic-term
Version:        1.0.0~alpha4+0
Release:        1.0.2.1.sr20241202
Summary:        COSMIC terminal emulator
License:        GPL-3.0-only
URL:            https://github.com/pop-os/cosmic-term
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  pkgconfig(xkbcommon)
Requires:       mozilla-fira-fonts
Recommends:     google-noto-coloremoji-fonts

%description
COSMIC terminal emulator, built using alacritty_terminal that is provided by the
alacritty project. cosmic-term provides bidirectional rendering and ligatures
with a custom renderer based on cosmic-text.

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/*/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.metainfo.xml

%changelog
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 1.0.0~alpha4+0:
  * update libcosmic
  * Allow startup options to supercede profile
  * Do not use repeat_n as it was introduced in 1.82
  * Accumulate mouse scrolls for smoother scrolling
  * fix(window): round corners based on header
  * Update dependencies
  * fix(context menu): use radius from theme
  * Use unbounded channel to prevent deadlock
* Fri Nov  1 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha3:
  * fix control + space support
  * Add Github Dark color scheme
  * fix: dead keys support
  * About: add hyphen between "Git" and "version"
  * Update dependencies
  * Update translations
* Wed Sep 25 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha2:
  * fix: Launch with invalid default profile fails
  * fix ctrl or alt + arrows
  * Support drag-and-drop for files
  * Efficiently set config
  * Zoom per tab/pane & not writing config to fs when zooming
  * Make underlines stable
  * Rework and unify repeated drawing
  * Fix issues
  * Fix nits
  * Initial cursor shapes
  * Fill in cursor support
  * Add colors
  * Change the default hold value when creating new profile
  * Use patch for filetime
  * Fix regression with hidden cursors
  * Early exit if no monospace fonts were found
  * Update dependencies
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- standardize packaging with also fixes for miscellaneous hardcoding
  filenames, using @PARENT_TAG where applicable, and be more specific
  with files in the %%files section (so no non-wanted files are getting
  added
* Wed Aug  7 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha1:
  * Add British English localisation
  * fix(libcosmic): double-click to maximize
  * fix: center go-up and go-down icons
  * update translations
- enable leap (thanks to vyvir)
* Thu Mar 14 2024 Richard Rahl <rrahl0@proton.me>
- initial packaging
